Name:           execline
Version:        2.6.1.0
Release:        2%{?dist}
Summary:        A small scripting language, to be used in place of a shell in non-interactive scripts.

License:        ISC
URL:            https://skarnet.org/software/%{name}/
Source0:        https://skarnet.org/software/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}.patch

BuildRequires:  make >= 3.81
BuildRequires:  gcc
BuildRequires:  skalibs-devel >= 2.9.2.1

Requires:       skalibs >= 2.9.2.1

%description
execline is a (non-interactive) scripting language, like sh ; but its syntax
is quite different from a traditional shell syntax. The execlineb program is
meant to be used as an interpreter for a text file; the other commands are
essentially useful inside an execlineb script.

%package devel
Summary:        %{name} development files
Provides:       %{name}-devel

%description devel
This package contains necessary header files for %{name} development.

%prep
%autosetup -p1

%build
%configure --libexecdir=%{_libexecdir}/%{name}\
 --enable-shared\
 --disable-static\
 --disable-allstatic\
 --with-sysdeps=/usr/lib64/skalibs/sysdeps
%make_build

%install
%make_install

%files
%license COPYING
%doc README
%doc NEWS
%doc AUTHORS
%doc doc
%doc examples
%{_libdir}/libexecline.so.2.6*
%{_bindir}/execlineb
%{_libexecdir}/%{name}/*

%files devel
%{_includedir}/%{name}/*
%{_libdir}/libexecline.so

%changelog
* Mon Jun 22 2020 Marcin Skarbek <rpm@skarbek.name> 2.6.1.0-2
- Remove absolute path from configure options

* Tue Jun 16 2020 Marcin Skarbek <rpm@skarbek.name> 2.6.1.0-1
- Initial package
